DtSearchGetKeytypes(library call)

NAME
DtSearchGetKeytypes — Access the Keytypes array for a DtSearch database

SYNOPSIS

#include &<Dt/Search.h>
int DtSearchGetKeytypes(
char *dbname,
int *ktcount,
DtSrKeytype **keytypes);

DESCRIPTION

The DtSearchGetKeytypes function returns a pointer to the keytypes array of the specified database. The caller may modify the is_selected member of any DtSrKeytype but should not alter any other member values.

This function may be called anytime after DtSearchInit.

ARGUMENTS

dbname
    Specifies for which database the keytypes are requested. It is any one of the database name strings from the array returned from DtSearchInit or DtSearchReinit. If dbname is NULL, the first database name string in the array is used.

ktcount
    Specifies the address of the integer where the keytypes array size will be stored.

keytypes
    Specifies the address where pointer to keytypes array will be stored.

RETURN VALUE

Returns DtSrOK and keytypes pointer and size.

Any API function can also return DtSrREINIT or the return codes for fatal engine errors, as well as messages on the MessageList, at any time.

SEE ALSO

dtsrcreate(1), DtSearchQuery(3), DtSrAPI(3), DtSearch(5)